org.apache.poi.ss.formula.functions

## Class Replace

- java.lang.Object
- - org.apache.poi.ss.formula.functions.Fixed4ArgFunction
  - - org.apache.poi.ss.formula.functions.Replace

- All Implemented Interfaces:
    Function, Function4Arg

      public final class Replace
      extends Fixed4ArgFunction

  An implementation of the Excel REPLACE() function:

  Replaces part of a text string based on the number of characters you specify, with another text string.
  Syntax:
  REPLACE(oldText, startNum, numChars, newText)

  oldText The text string containing characters to replace
  startNum The position of the first character to replace (1-based)
  numChars The number of characters to replace
  newText The new text value to replace the removed section

  Author:
    Manda Wilson < wilson at c bio dot msk cc dot org >

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Replace()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ValueEval` | `evaluate(int srcRowIndex, int srcColumnIndex, ValueEval arg0, ValueEval arg1, ValueEval arg2, ValueEval arg3)` see `Function.evaluate(ValueEval[], int, int)`

    - ### Methods inherited from class org.apache.poi.ss.formula.functions.Fixed4ArgFunction

      `evaluate`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Replace

          public Replace()

  - ### Method Detail

    - #### evaluate

          public ValueEval evaluate(int srcRowIndex,
                                    int srcColumnIndex,
                                    ValueEval arg0,
                                    ValueEval arg1,
                                    ValueEval arg2,
                                    ValueEval arg3)

      Description copied from interface: `Function4Arg`
      see `Function.evaluate(ValueEval[], int, int)`

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.